HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Update a LAG by UUID

Update a Link Aggregation Group object by its UUID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 32 and 36

UUID of Link Aggregation Group object to update

Body Params

Link Aggregation Group configuration.

string
required
boolean
Defaults to false

When true, priority flow control will be enabled and configured on all ports that are part of this LAG with settings defined for queue_configuration in the fabric settings.

string
required
number | null
required
0 to 4094

This VLAN is:

  • Applied to all untagged traffic coming in to this Link Aggregation Group (ingress)
  • Removed from all traffic tagged with this VLAN which is leaving this Link Aggregation Group (egress)
  • NOTE: a native_vlan value of 0 means that any untagged traffic will be dropped on either ingress or egress
qos_ingress_policies
array

QoS ingress policies for this LAG. This is an ordered list. On a PUT:

  • If the field is not set, leave the existing list alone.
  • If the field is set to an empty list, remove all QoS policies associated with this LAG.
  • If the field is set to a non-empty list, replace the existing QoS policy list with the given list.
qos_ingress_policies
port_properties
array of objects
required
length ≥ 1

Switch port properties associated with this Link Aggregation Group.

  • Each object is scoped specifically to the switch to which the contained LAG member port UUIDs are related.
  • For example, an MLAG with two ports on two different switches will have two port_properties objects, each with two port UUIDs and switch-specific configuration settings.
port_properties*
lacp
object
required
port_uuids
array of strings
required
length ≥ 1

UUIDs of the switch ports associated with this Link Aggregation Group.

port_uuids*
speed
object
required
string
string
enum
  • provisioned Link Aggregation Groups have been explicitly configured on switches and can contain one or more ports.
  • internal Link Aggregation Groups exist by default on switches and contain only one port. Think of internal Link Aggregation Groups as logical objects that simply hold configuration state (e.g. LACP mode and configured line speed).
Allowed:
required

VLANs directly assigned to this Link Aggregation Group, not in a VLAN group, presented as a sorted set of ranges.

vlan_group_uuids
array of strings
required

UUIDs of the VLAN groups associated with this Link Aggregation Group. To exclude, specify value as the empty array: []

vlan_group_uuids*
boolean
Defaults to false

True if LACP is enabled else, False

integer
1 to 256

lag interface to set in switch CLI

string | null
enum
Allowed:
boolean | null
string | null
enum
boolean | null
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0